<template>
  <v-app class="drugRecommendation">
    <div class="drugRecommendation__title">
      <h1>Рекомендации по лекарствам</h1>
    </div>

    <!--Поиск болезни-->
    <v-text-field class="drugRecommendation__search" v-model="search" append-icon="mdi-magnify" label="Поиск.." single-line
                  hide-details></v-text-field>

    <v-data-table
        :headers="headers"
        :items="drugRecommendations"
        :search="search"
        class="drugRecommendation__table"
    >
    </v-data-table>
  </v-app>

</template>

<script>
import axios from "axios";

export default {
  name: "DrugRecommendation",
  data() {
    return {
      search: '',
      drugRecommendations: [],

      headers: [
        {
          text: 'Заболевание',
          value: 'disease.name',
          sortable: false
        },
        {
          text: 'Услуга',
          value: 'drug.name',
          sortable: false
        },
        {
          text: 'Стоимость',
          value: 'drug.price',
        },
      ]
    }
  },

  mounted() {
    this.fetchDrugRecommendation()
  },

  methods: {
    async fetchDrugRecommendation() {
      axios
          .get(this.$root.globalVar + '/recommendation_drug')
          .then(response => {
            this.drugRecommendations = response.data
          })
          .catch(error => {
            console.log(error)
            alert('Ошибка! Подробности: сервер отключен.')
          })
    }
  }
}
</script>

<style lang="scss" scoped>
.drugRecommendation {
  &__title {
    text-align: center;
    margin: 60px 0 30px 0;
  }

  &__search {
    width: 50%;
    margin: 0 auto;
  }

  &__table {
    width: 70%;
    margin: 0 auto;
  }
}

.v-text-field {
  flex: 0.2 0 !important;
  margin-top: 30px;
}
</style>